Subject: [Idr] RtgDir QA review on draft-ietf-idr-bgp-gr-notification-03

From: Mach Chen <[email-masked]>
Date: Mon, 22 Sep 2014 07:19:39 +0000

Hi Authors,

I was assigned to do a QA review on draft-ietf-idr-bgp-gr-notification-03. For more detail what's is RtgDir QA review, please refer to https://trac.tools.ietf.org/area/rtg/trac/wiki/RtgDirDocQa 

Overall, the document is well-written and clear, after review, I have the following comments. 

1.  Abstract
s/BGP NOTIFICATION Message/ BGP NOTIFICATION message;

2.  Section 2:
"
    Flags for Address Family:

            This field contains bit flags relating to routes that were
            advertised with the given AFI and SAFI.

                0 1 2 3 4 5 6 7
               +-+-+-+-+-+-+-+-+
               |F|N| Reserved  |
               +-+-+-+-+-+-+-+-+

   The usage of second most significant bit "N" is deprecated.  This bit
   MUST be advertised as 0 and MUST be ignored upon receipt.
"
The "N" bit was firstly introduced in a previous version of this document, but deprecated in later version. I don't understand why a document need deprecate a functionality introduced by itself, why not just remove it?

In addition, since there is no changes to the AF related flags, the last sentence of the first paragraph of section 2 should be changed as bellow:

OLD:
"the Restart flags field and the Flags field for Address Family are augmented as follows:"

New:
"the Restart flags field are augmented as follows:"

3.  Section 3.1

"Subcode is a BGP Error Subcode (as documented in the IANA BGP Error
   Subcodes registry) as appropriate for the ErrCode.  Similarly, Data
   is as appropriate for the ErrCode and Subcode."
This is just an introduction to the Subcode itself, it's better to explicitly state that the subcode should be set to the Hard Reset (9).

4.  Section 4
"Once the session is re-established, both BGP speakers SHOULD set
   their "Forwarding State" bit to 1."

Here it implies that the speakers are required to set the "Forwarding State" no matter what the speakers have the ability to preserve the forwarding state. Is it the intention?  

I guess it's not, if so, some text may needed to clarify this.

5. I run idnits tool and found the following nits:

== Unused Reference: 'RFC3392' is defined on line 269, but no explicit reference was found in the text.

Best regards,
Mach